View Issue Details

IDProjectCategoryView StatusLast Update
0032910Open CASCADEOCCT:Codingpublic2022-04-10 10:42
Reporterddzama Assigned Toddzama  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2019 
Product Version7.6.0 
Target Version7.7.0 
Summary0032910: Coding Rules - fix uninitialized class fields in constructor initialization block reported by VS2019/C++20
DescriptionMicrosoft Visual Studio Professional 2019
Version 16.11.11
std=c++20

Get rid of warnings about uninitialized class fields in constructor initialization block.
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032887 assignedddzama Coding - Problem of compilation on VS2019/C++20 

Activities

git

2022-04-07 14:28

administrator   ~0107687

Branch CR32910 has been created by ddzama.

SHA-1: 9a0d35aa66cfb7240fd5871b54db8c993afcda81


Detailed log of new commits:

Author: Dmitry DZAMA
Date: Thu Mar 31 07:26:39 2022 +0300

    0032910: Coding Rules - eliminate MSVS2019 warnings (fix uninitialized class fields in constructor initialization block)
    
    Microsoft Visual Studio Professional 2019
    Version 16.11.11
    std=c++20
    
    Get rid of warnings about uninitialized class fields in constructor initialization block.

git

2022-04-07 14:39

administrator   ~0107700

Branch CR32910 has been updated forcibly by ddzama.

SHA-1: f94752cfc86eed15e5836b39169b2f90f153fb72

git

2022-04-07 15:14

administrator   ~0107714

Branch CR32910 has been updated forcibly by ddzama.

SHA-1: 28445a5929b6b3e4a3c9d557a34ea5d5d5b286de

git

2022-04-07 15:17

administrator   ~0107716

Branch CR32910 has been updated forcibly by ddzama.

SHA-1: eac4d9cf9f8f93d7700a463203fc0229eabe9d18

kgv

2022-04-08 18:18

developer   ~0107766

Please raise the fix.

smoskvin

2022-04-09 09:50

administrator   ~0107794

Combination -
OCCT branch : IR-2022-04-08
master SHA - 7021de2fe7a69d4c788ccf43b8b096dbcc8597c8
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-08 SHA - e16d959d441765c483049307ba7293173532103a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18452.87000000039 / 18490.94000000032 [-0.21%]
Products
Total CPU difference: 11761.310000000152 / 11719.920000000124 [+0.35%]
Windows-64-VC14:
OCCT
Total CPU difference: 20539.828125 / 20552.71875 [-0.06%]
Products
Total CPU difference: 13248.21875 / 13242.609375 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Related Changesets

occt: master 878ea8cd

2022-03-31 07:26:39

ddzama


Committer: smoskvin Details Diff
0032910: Coding Rules - fix uninitialized class fields in constructor initialization block reported by VS2019/C++20

Microsoft Visual Studio Professional 2019
Version 16.11.11
std=c++20

Get rid of warnings about uninitialized class fields in constructor initialization block.
Affected Issues
0032910
mod - src/NCollection/NCollection_BaseVector.hxx Diff File
mod - src/SelectMgr/SelectMgr_BVHThreadPool.hxx Diff File

Issue History

Date Modified Username Field Change
2022-04-05 11:02 ddzama New Issue
2022-04-05 11:02 ddzama Assigned To => ddzama
2022-04-05 11:03 ddzama Relationship added parent of 0032909
2022-04-05 11:03 ddzama Relationship added child of 0032887
2022-04-07 12:26 kgv Summary Fix uninitialized class fields in constructor initialization block => Coding Rules - fix uninitialized class fields in constructor initialization block
2022-04-07 12:26 kgv Product Version 7.7.0 => 7.6.0
2022-04-07 12:28 kgv Relationship deleted parent of 0032909
2022-04-07 12:36 kgv Summary Coding Rules - fix uninitialized class fields in constructor initialization block => Coding Rules - fix uninitialized class fields in constructor initialization block reported by VS2019/C++20
2022-04-07 14:28 git Note Added: 0107687
2022-04-07 14:33 ddzama Relationship deleted child of 0032887
2022-04-07 14:39 git Note Added: 0107700
2022-04-07 14:53 ddzama Relationship added child of 0032887
2022-04-07 15:14 git Note Added: 0107714
2022-04-07 15:17 git Note Added: 0107716
2022-04-08 18:18 kgv Assigned To ddzama => bugmaster
2022-04-08 18:18 kgv Status new => resolved
2022-04-08 18:18 kgv Note Added: 0107766
2022-04-08 18:19 kgv Status resolved => reviewed
2022-04-09 09:50 smoskvin Status reviewed => tested
2022-04-09 09:50 smoskvin Note Added: 0107794
2022-04-09 09:53 smoskvin Test case number => Not required
2022-04-10 10:42 smoskvin Changeset attached => occt master 878ea8cd
2022-04-10 10:42 ddzama Assigned To bugmaster => ddzama
2022-04-10 10:42 ddzama Status tested => verified
2022-04-10 10:42 ddzama Resolution open => fixed